function initLevel () {
	levelWidth = 4000;
	levelHeight = 2000;
	imgData = ['Minas/8.png', 'Minas/fondo.jpg', 'Minas/2.png', 'Minas/3.png', 'Minas/4.png', 'Minas/5.png', 'Minas/6.png', 'Minas/9.png', 'tariacuri.png','Minas/Luz.png',
		'Minas/ore_particle.png', 'Minas/ore.png', 'Minas/animacion.png', 'Minas/ore_halo.png', 'Minas/portalRays.png', 'Minas/portalBase1.png', 'Minas/portalBase2.png', 'Minas/pilar.png', 'Minas/ivan_mask.png', 'Minas/ivan_particles_mask.png',
		'Minas/tari_mask.png', 'Minas/ore_mask.png', 'Minas/viejito.png', 'Minas/oreSmall.png', 'Minas/dirtpath.png', 'cielo.jpg', 'Minas/viejita.png', 'Minas/viejito1.png', "Minas/entrada.png", "Minas/taller.png",
		"Minas/casa1.png", 'Minas/tree.png', 'Minas/leaf.png'];
	audioData = ["Minas/musica", "Minas/minas", "Minas/taller"];
	//Dialogos
	var bienvenida = ["Nanabi: ¡Pero que sorpresa!|No tenemos muchos visitantes del imperio tarasco por aquí…",
	"Nanabi: Mi nombre es Nanabi ¡Bienvenido a Tlalpujahua!|Nuestro pueblo es pequeño pero muy concurrido, ya que es el límite|entre el imperio tarasco y el azteca.", "Nanabi: Los que vivimos aquí somos mazahuas.|¿Qué te trae por estas tierras jovencito?",
	"Nanabi: Estas buscando un objeto valioso para una ofrenda eh…", "Nanabi: ¡Tengo una idea! ¿Por qué no vas a hablar con el viejo Jiarú?|Él es el encargado de la mina, seguro que tiene un montón|de cosas bonitas que podrían interesarte.", "Nanabi: Sigue caminando hacia la derecha y encontraras la entrada a|la mina, Jiarú normalmente está ahí parado vigilando.|¡Lo reconocerás de inmediato!"];
	var nanabi = ["Nanabi: Al viejo Jiarú le vendría bien un poco de ayuda en la mina…|Ya no es tan joven como hace unos años.|Sigue caminando hacia la derecha y encontraras la entrada a la mina.", "Nanabi: Jiarú normalmente está ahí parado vigilando.|¡Lo reconocerás de inmediato!"];
	var tamarhu = ["Tamárhu: ¡Que sorpresa ver a un tarasco por aquí!|Tlalpujahua se encuentra en el límite entre el imperio tarasco y|el azteca, la mayoría de sus habitantes son mazahuas.", "Tamárhu: ¡Pero yo soy de ascendencia purépecha!"];
	var jiaruD = ["Jiarú: ¡Vaya! ¿Qué hace un tarasco por estos lugares?", "Jiarú: ¿Una ofrenda? ¿Y quieres que yo te de algún objeto de valor?|Jajaja ¡Que muchachito tan chistoso!", "Jiarú: ¿Que no es broma?|Bueno pues si tanto insistes supongo que podría hacer una bonita|herramienta para ti…",
	"Jiarú: ¡Ya se me ocurrió una idea! Tengo que extraer un poco más de|oro de la mina para cubrir mi cuota diaria, pero ya no soy tan joven|como solía serlo y a decir verdad… ¡El dolor de espalda me mata!",
	"Jiarú: Si entras ahí y me traes por lo menos 5 piezas de oro te haré|una herramienta, si me traes 10 te daré además algo especial.|¡Acompáñame muchacho!"];
	//
	var cielo = [[0, false], [25,0,0]];
	var nubes = [[0.2, false], new Clouds(0,0,5000,2000)];
	var background = [[0.05, false]];
	var backTrees = [[0.8, false]];
	var bg = [[1, false], [28, 3600, 1270], [29, 2820, 1420], [30, 1750, 1470]];
	var ground = [[1, true], [-200, 0, 200, 2000], [4000, 0, 200, 2000], [3870, 0, 100, 2000]];
	var objetos = [[1, false], new NPC(26, 800, 1628, nanabi), new NPC(26, 2000, 1628, tamarhu), new leaves(45)];
	var frontTrees = [[1.2, false]];
	levelData = [cielo, nubes, background, backTrees, bg, ground, objetos, frontTrees];
	respawn = [[0, 200]];


	levelData.init = function () {
		jiaru = new NPC(27, 3800, 1615, jiaruD)
		player = new Player (8, [1, 1, 10, 10, 1, 1, 1, 1], 111, 160, 100, 1700);
		ivan = new Ivan (300, 1600);
		levelData[6] = levelData[6].concat(player, ivan, jiaru);
		levelData[5] = levelData[5].concat(insertTiles(24, 0, 1800, 20, 1, 0, 0));
		levelData[3] = levelData[3].concat(insertTiles(31, 0, 1000, 5, 1, 0, 0));
		levelData[7] = levelData[7].concat(insertTiles(31, 200, 1520, 6, 1, 0, 0));
		camera = new Camera ();
	}
	levelData.logic = function () {
		if(cutscene==undefined&&fade.state=='idle'){
			cutscene = new Cutscene([[0, 1430]], [bienvenida]);
		}
		if(jiaru.started&&cutscene.finished){
			fade.out();
			if(fade.state=='idle'){
				audioData[0].pause();
				jiaru.started = false;
				backupLevel(initMinas);
			}
		}
	}
	levelData.draw = function (i, displacementRatio) {
		//context.fillText(player.x_pos -camera.x_pos, 0, 500);
		//context.drawImage(imgData[11], 0, 0);
	}
}
var jiaru;
function leaves (noLeaves) {
	this.x_pos = 0;
	this.y_pos = 1000;
	this.width = 1500;
	this.height = 1000;
	var leavesArr = new Array (noLeaves);
	for(var i=0; i<noLeaves; i++) {
		leavesArr[i] = new leaf();
	}
	this.draw = function () {
		for(var i=0; i<noLeaves; i++) {
			if(!leavesArr[i].dead) {
				leavesArr[i].draw();
			} else{
				leavesArr[i].create();
			}
			leavesArr[i].move();
		}
	}
	 
}
function leaf () {
	this.x_pos;
	this.y_pos;
	this.alpha;
	this.alpha_increment;
	this.y_accel;
	this.y_speed;
	this.dead = true;
}
leaf.prototype = {
	move: function () {
		if(this.dead)
			return;
		this.y_speed += this.y_accel;
		this.y_pos += this.y_speed;
		if(this.alpha<1&&this.alpha_increment==1) {
			this.alpha+= 0.01;
		} else if (this.alpha<=0&&this.alpha_increment==-1){
			this.dead = true;
		}
		if(this.y_speed>5.5&&this.alpha>0) {
			this.alpha_increment = -1;
			this.alpha-= 0.05;
		}
	},
	draw: function () {
		if(!onScreen(this.x_pos, this.y_pos, 76, 74))
			return;
		context.save ();
		if(this.alpha<0)
			this.alpha = 0;
		context.globalAlpha = this.alpha;
		drawOnCanvas(imgData[32], this.x_pos-camera.x_pos, this.y_pos-camera.y_pos);
		context.restore ();
	},
	create: function () {
		this.x_pos = Math.floor(Math.random()*3000);
		this.y_pos = 1300;
		this.alpha = 0;
		this.alpha_increment = 1;
		this.y_speed = 1;
		this.y_accel = Math.floor((Math.random()*5)+3)/100;
		//rotation_angle =0;
		this.dead = false;
	}
};